[Import Utility 2.2 + Metamodel 6.9 or 6.10] Broken Result Issue

Post Reply
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Hi.

Trying to import Information Concepts, Views and Representations, the result project seems broken, when metamodel 6.9 or 6.10 used.

But the same import activity produces a correct result with metamodel 6.8.

Findings : Info Representation associated with Info Concept instances instead Info Views; Info Concepts associated with Info Representations instead of Information Views...And Informations concepts used as Taxonomy ...

I suspect this inconsistency is related with the fact Info Concept, Views and Taxonomy ... instances share the same name.
The data contain also special characters like / |

In private I can share more detail about the import specification and the data.

Best regards,

Tshitshi
jasonp
Posts: 70
Joined: 01 Jul 2017, 07:05

Hi Tshitshi,

it would be great if you could privately send your Import Spec and sample spreadsheet so that we can review how your import is mapping to the meta-model.

Thanks,

Jason
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Hi

I need to downgrade the version of my protegé installation & metamodel from 6.10.2 to 6.8.
Where can I find the related files and What is the appropriate way of doing so.

Best regards,

Tshitshi
User avatar
neil.walsh
Posts: 443
Joined: 16 Feb 2009, 13:45
Contact:

Hi Tshitshi,

We have identified the issue which you are experiencing and have just released two updates which should resolve this for you.

The updates are for the meta-model and the import utility. You will need to apply both updates to fix the issue.

The release notes can be found here
https://www.enterprise-architecture.org ... amodel.php

The Import Utility (v2.2.2) download can be found here
https://www.enterprise-architecture.org/os_download.php

The Meta Model update (EUP to v6.10.1) can be found here
https://www.enterprise-architecture.org ... _packs.php

Just for clarity, it's not really possible to downgrade to previous versions of the meta-model but hopefully this fix will resolve the issue you are experiencing.

Cheers

Neil
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Hi Neil,

Thank you very very very much much much.

I will test as soon as I can get the release then give you a feedback.

Best regards,


Tshitshi
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Hi Neil,

The Meta Model update (EUP to v6.10.1) can not be found in the list

https://www.enterprise-architecture.org ... _packs.php

Best regards,

Tshitshi
User avatar
neil.walsh
Posts: 443
Joined: 16 Feb 2009, 13:45
Contact:

Hi Tshitshi,

It should be the top of the list. Perhaps you have a browser cache problem?

See screenshot attached.

Maybe try a private browsing tab?

Cheers

Neil
You do not have the required permissions to view the files attached to this post.
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Got it.

Thanks!

Best regards,

Tshitshi
User avatar
tkinte
Posts: 145
Joined: 18 Nov 2014, 08:24
Location: https://www.linkedin.com/in/tshitshi-kia-ntoni
Contact:

Hi Neil,

Import activity successfully executed!

Thank you for the fix.

Best regards,

Tshitshi
Post Reply